import req from '@/request'

const portal = window.context.portal

const headers = {
    'Content-type': 'application/x-www-form-urlencoded'
}

// 查询
export function queryData(data) {
    return new Promise((resolve, reject) => {
        req.request({
            method: 'post',
            url: portal + `/bizBudgetCount/v1/getBudgetCount`,
            data,
            headers
        }).then(res => resolve(res?.data || []))
            .catch(err => reject(err))
    })
}
